repos:
  - repo: https://github.com/astral-sh/ruff-pre-commit
    rev: v0.3.4
    hooks:
      # Run the linter.
      - id: ruff
        args: [ --fix ]
      # Run the formatter.
      - id: ruff-format
  - repo: https://github.com/PyCQA/bandit
    rev: 1.7.8 # Replace with the desired Bandit version
    hooks:
      - id: bandit
        args: [ "-c", "pyproject.toml" ]
        additional_dependencies: [".[toml]"]
  - repo: https://github.com/jorisroovers/gitlint
    rev: v0.19.1
    hooks:
      - id: gitlint
      - id: gitlint-ci
  - repo: https://github.com/pre-commit/mirrors-mypy
    rev: 'v1.8.0'  # Use the sha / tag you want to point at
    hooks:
      - id: mypy
        additional_dependencies:
          - "pydantic>=2.5.2"
          - "types-python-dateutil>=2.8.19.20240106"
